package pps.core.common.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.io.Serializable;

public class BaseSysConfigView implements Serializable {
    @TableField
    private String id;

    @XText("配置名称")
    @TableField
    private String name;

    @XText("配置key")
    @TableField
    private String mainKeys;

    @XText("配置值")
    @TableField
    private String value;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("组织机构id")
    @TableField
    private String ouId;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String value) {
        this.name = value;
    }

    public String getMainKeys() {
        return mainKeys;
    }

    public void setMainKeys(String mainKeys) {
        this.mainKeys = mainKeys;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }
}
