package pps.core.common.utils;

import java.io.PrintWriter;
import java.io.StringWriter;

public class ExceptionHelper {

    public static final String LINE_SEPERTOR = System.getProperty("line.separator");

    public static String getExceptionLogDetail(Throwable e) {

        StringWriter writer = new StringWriter();
        PrintWriter printWriter = new PrintWriter(writer);

        try {
            e.printStackTrace(printWriter);
            printWriter.flush();

            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("EXCEPTION:").append(e.getClass().getName()).append(LINE_SEPERTOR)
                    .append("  Message:").append(e.getMessage()).append(LINE_SEPERTOR)
                    .append("  Stack:").append(writer.toString());

            return stringBuilder.toString();

//            return "EXCEPTION:" + e.getClass().getName() + lineSepertor
//                    + " Message:" + e.getMessage() + lineSepertor
//                    + " StackTrack:" + writer.toString();

        } finally {
            printWriter.close();
        }

    }
}
