package pps.core.system.config;

import xstartup.annotation.XConfig;
import xstartup.config.XConfigMetadata;
import xstartup.config.XIntegerConfigItem;
import xstartup.config.XStringConfigItem;

/**
 * @author lixueyan
 * @date 2022/7/7 0007 12:44
 */
@XConfig
public class LoginConfig {
    public static final XIntegerConfigItem expiresIn = XConfigMetadata.register(LoginConfig.class, "expiresIn", XIntegerConfigItem.class);
    public static final XStringConfigItem adminRoles = XConfigMetadata.register(LoginConfig.class, "adminRoles", XStringConfigItem.class);
    public static final XStringConfigItem iamToLoginUrl = XConfigMetadata.register(LoginConfig.class, "iamToLoginUrl", XStringConfigItem.class);
    //登陆短信内容模板
    public static final XStringConfigItem smsContent = XConfigMetadata.register(LoginConfig.class, "smsContent", XStringConfigItem.class);
    //登陆短信验证码有效期
    public static final XIntegerConfigItem smsCodeValidity = XConfigMetadata.register(LoginConfig.class, "smsCodeValidity", XIntegerConfigItem.class);
    //登陆短信内容模板
    public static final XStringConfigItem forgetSmsContent = XConfigMetadata.register(LoginConfig.class, "forgetSmsContent", XStringConfigItem.class);
    //登陆短信发送间隔
    public static final XIntegerConfigItem sendSmsCodeInterval = XConfigMetadata.register(LoginConfig.class, "sendSmsCodeInterval", XIntegerConfigItem.class);
    //交易平台交互私钥（加密后）
    public static final XStringConfigItem rsaPrivateKey = XConfigMetadata.register(LoginConfig.class, "rsaPrivateKey", XStringConfigItem.class);
    //关键信息加密私钥（加密后）
    public static final XStringConfigItem userRsaPrivateKey = XConfigMetadata.register(LoginConfig.class, "userRsaPrivateKey", XStringConfigItem.class);
    //关键信息加密公钥（加密后）
    public static final XStringConfigItem userRsaPublicKey = XConfigMetadata.register(LoginConfig.class, "userRsaPublicKey", XStringConfigItem.class);
    //交易平台交互IP白名单
    public static final XStringConfigItem ipWhite = XConfigMetadata.register(LoginConfig.class, "ipWhite", XStringConfigItem.class);
    //是否发送短信
    public XIntegerConfigItem sendSmsCodeSwitch = XConfigMetadata.register(LoginConfig.class, "sendSmsCodeSwitch", XIntegerConfigItem.class);
}
