package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;

@TableName("sys_sms_group_user")
public class SysSmsGroupUserEnt implements Serializable {
    @XText("主键")
    @TableField
    private String smsGroupUserId;

    @XText("短信用户组ID")
    @TableField
    private String smsGroupId;

    @XText("用户ID(系统用户才存ID，自定义不存)")
    @TableField
    private String userId;

    @XText("用户姓名(自定义用户存，系统用户不存)")
    @TableField
    private String smsUsername;

    @XText("手机(自定义用户存，系统用户不存)")
    @TableField
    private String mobile;

    @XText("是否系统用户")
    @TableField
    private String isSystem;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("是否删除")
    @TableField
    private String isDeleted;


    public String getSmsGroupUserId() {
        return this.smsGroupUserId;
    }

    public void setSmsGroupUserId(String value) {
        this.smsGroupUserId = value;
    }

    public String getSmsGroupId() {
        return this.smsGroupId;
    }

    public void setSmsGroupId(String value) {
        this.smsGroupId = value;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String value) {
        this.userId = value;
    }

    public String getSmsUsername() {
        return this.smsUsername;
    }

    public void setSmsUsername(String value) {
        this.smsUsername = value;
    }

    public String getMobile() {
        return this.mobile;
    }

    public void setMobile(String value) {
        this.mobile = value;
    }

    public String getIsSystem() {
        return this.isSystem;
    }

    public void setIsSystem(String value) {
        this.isSystem = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(String value) {
        this.isDeleted = value;
    }

}
