package pps.core.system.mapper;

import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysDictionaryView;

import java.util.List;

@Repository(value = "pps.core.system.mapper.SysDictionaryViewMapper")
public interface SysDictionaryViewMapper {
    SysDictionaryView selectOne(SysDictionaryView record);

    List<SysDictionaryView> selectList(SysDictionaryView record);

    List<SysDictionaryView> selectListsByParentIds(SysDictionaryView record);

    List<SysDictionaryView> selectListsByParentCodes(SysDictionaryView record);

    List<SysDictionaryView> selectListsByAlias(SysDictionaryView record);

    List<SysDictionaryView> selectSysDictionaryTree(SysDictionaryView record);

    List<SysDictionaryView> selectListsByByDicKeys(SysDictionaryView record);

    List<SysDictionaryView> selectListsByDicPath(SysDictionaryView record);

    List<SysDictionaryView> selectListsByDicPathIncludeSelf(SysDictionaryView record);

    List<SysDictionaryView> selectListByCondition(SysDictionaryView recordView);

    List<SysDictionaryView> selectChildListByCondition(SysDictionaryView recordView);

    List<SysDictionaryView> selectListByConditionByPage(SysDictionaryView recordView);

    List<SysDictionaryView> selectListByEquipmentType(SysDictionaryView record);

    Integer selectListByConditionByCount(SysDictionaryView recordView);

    List<SysDictionaryView> selectTreeList(SysDictionaryView record);
}
