package pps.cloud.base.service;

import pps.cloud.base.service.data.base_segment.BaseSegmentBatchInput;
import pps.cloud.base.service.data.base_segment.GetBaseSegmentInput;
import pps.cloud.base.service.data.base_segment.GetBaseSegmentOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

/**
 * @author wang1
 */
@XService
public interface BaseBaseSegmentService {
    @XText("根据id查询管段")
    XSingleResult<GetBaseSegmentOutput> getBaseSegmentById(XContext context, GetBaseSegmentInput input);

    @XText("根据管线id查询所有管段")
    XListResult<GetBaseSegmentOutput> getBaseSeamentId(XContext context, BaseSegmentBatchInput input);
}
