package pps.cloud.base.service.data.base_power_line_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryBasePowerLineWellheadInput {

    @XText("线路ID")
    private String lineId;

    @XText("线路ID集合")
    private List<String> lineIds;

    @XText("井口ID集合")
    private List<String> wellheadIds;

    @XText("电站ID集合")
    private List<String> plantIds;

    /**
     * 运行类型
     */
    @XText("运行类型key(字典获取)")
    private String runTypeKey;
}
