package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

public class ScadaGatherConfInView implements Serializable {
    @XText("主键")
    @TableField
    private String id;

    @XText("scada采集模型关系配置主键")
    @TableField
    private String scadaGatherBoxRelId;

    @XText("查询条件入参 ")
    @TableField
    private String confInParam;

    @XText("入参描述")
    @TableField
    private String paramDescribe;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;
    @XText("参数类型")
    @TableField
    private String paramType;
    @XText("参数编码")
    @TableField
    private String paramCode;

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    public String getParamCode() {
        return paramCode;
    }

    public void setParamCode(String paramCode) {
        this.paramCode = paramCode;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getScadaGatherBoxRelId() {
        return this.scadaGatherBoxRelId;
    }

    public void setScadaGatherBoxRelId(String value) {
        this.scadaGatherBoxRelId = value;
    }

    public String getConfInParam() {
        return this.confInParam;
    }

    public void setConfInParam(String value) {
        this.confInParam = value;
    }

    public String getParamDescribe() {
        return this.paramDescribe;
    }

    public void setParamDescribe(String value) {
        this.paramDescribe = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
