package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.BaseClientStationRelView;

import java.util.List;

@Repository(value = "pps.core.base.mapper.BaseClientStationRelViewMapper")
public interface BaseClientStationRelViewMapper {
    BaseClientStationRelView selectOne(BaseClientStationRelView record);

    List<BaseClientStationRelView> selectList(BaseClientStationRelView record);

    List<BaseClientStationRelView> selectListByStationId(BaseClientStationRelView record);

    List<BaseClientStationRelView> selectListByStationIdAndPipelineId(BaseClientStationRelView record);

    List<BaseClientStationRelView> selectListByStationIdAndPipelineIdAndSegmentId(BaseClientStationRelView record);

    List<BaseClientStationRelView> selectConsignorListByStationIds(BaseClientStationRelView record);

    List<BaseClientStationRelView> selectListByClientIds(BaseClientStationRelView record);
}
