package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePipelineView;

import java.util.List;

@Repository(value = "pps.core.base.mapper.BasePipelineViewMapper")
public interface BasePipelineViewMapper {
    BasePipelineView selectOne(BasePipelineView record);

    List<BasePipelineView> selectList(BasePipelineView record);

    List<BasePipelineView> selectListByName(BasePipelineView record);

    List<BasePipelineView> selectStationListByPipelineId(BasePipelineView record);

    List<BasePipelineView> selectStationInfoList(BasePipelineView record);

    List<BasePipelineView> selectListByParentId(BasePipelineView basePipelineView);

    List<BasePipelineView> selectPipelineListByStationId(String stationId);

    BasePipelineView selectMaxSortByParentPipelineId(BasePipelineView view);

    List<BasePipelineView> selectPipelineListById(BasePipelineView record);

    List<BasePipelineView> selectPipelineListByName(BasePipelineView record);

    List<BasePipelineView> selectByOuIds(BasePipelineView record);

    List<BasePipelineView> selectByDispatchDesk(BasePipelineView record);


}
