package pps.core.base.service.data;

import xstartup.annotation.XText;

/**
 * @author lixueyan
 * @date 2023/2/9 0009 14:50
 */
public class CommonImportError {
    @XText("行号")
    private Integer rowNumber;
    @XText("任务名称")
    private String taskName;
    @XText("错误信息")
    private String errorMsg;

    public CommonImportError(Integer rowNumber, String taskName, String errorMsg) {
        this.rowNumber = rowNumber;
        this.taskName = taskName;
        this.errorMsg = errorMsg;
    }

    public Integer getRowNumber() {
        return rowNumber;
    }

    public void setRowNumber(Integer rowNumber) {
        this.rowNumber = rowNumber;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
