package pps.core.base.service.data.base_oil_type;

import xstartup.annotation.XText;

import java.util.Date;

public class GetBaseOilTypeInput {
    @XText("id")
    private String id;

    @XText("油品编号")
    private String oilTypeCode;

    @XText("油品名称")
    private String oilTypeName;

    @XText("介质类型")
    private String mediaType;

    @XText("组织机构id")
    private String ouId;

    @XText("组织机构名称")
    private String ouName;

    @XText("删除状态（0删除  1正常）")
    private Integer isDelete;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("备注")
    private String remark;

    @XText("油源（字典）")
    private String resourceType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOilTypeCode() {
        return oilTypeCode;
    }

    public void setOilTypeCode(String oilTypeCode) {
        this.oilTypeCode = oilTypeCode;
    }

    public String getOilTypeName() {
        return oilTypeName;
    }

    public void setOilTypeName(String oilTypeName) {
        this.oilTypeName = oilTypeName;
    }

    public String getMediaType() {
        return mediaType;
    }

    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }
}
