package pps.core.prediction.service.data.home_page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 光伏实时监控
 *
 * @author ZWT
 * @date 2024/03/26 14:30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPowerPredictionOutput {

    @XText("小时")
    private Integer hourNumber;

    @XText("预测功率")
    private BigDecimal predictPower;

    @XText("实际功率")
    private BigDecimal actualPower;

    @XText("井场负荷")
    private BigDecimal meterPower;
}