package pps.core.common.config;

import pps.core.common.utils.TimeSpanChecker;
import xstartup.annotation.XConfig;
import xstartup.base.XContext;
import xstartup.config.XBooleanConfigItem;
import xstartup.config.XConfigMetadata;

@XConfig
public class AnalysisTransferConfig {

    public static final XBooleanConfigItem useMq2AnalysisConfig = XConfigMetadata.register(TraceLogConfig.class,
            "useMq2Analysis",
            XBooleanConfigItem.class);
    /**
     * 是否使用微服务调用
     */
    private static boolean useMq2Analysis = true;
    private static TimeSpanChecker checker = new TimeSpanChecker(60, false);

    public static boolean checkUseMq2AnalysisConfig(XContext context) {
        // 使用mq发送消息
        return true;
//        try {
//            if (checker.checkNow() && useMq2AnalysisConfig != null) {
//                useMq2Analysis = useMq2AnalysisConfig.getValueNotNull(context);
//            }
//            return useMq2Analysis;
//        } catch (Exception e) {
//            return false;
//        }

    }
}
