package pps.core.common.mq;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;
import xstartup.base.mq.XMqMessage;

import java.util.Date;
import java.util.UUID;

public class CommonTraceLogMessage extends XMqMessage {

    @XText("跟踪id")
    @TableField
    private String traceid;
    @XText("跟踪内容")
    @TableField
    private String traceInfo2;
    @XText("创建时间")
    @TableField
    private Date createTime;

    public CommonTraceLogMessage() {
        setMessageTag(UUID.randomUUID().toString().replace("-", ""));
        setMessageId(UUID.randomUUID().toString().replace("-", ""));
        setMessageKey(UUID.randomUUID().toString().replace("-", ""));
    }

    public String getTraceid() {
        return traceid;
    }

    public void setTraceid(String traceid) {
        this.traceid = traceid;
    }

    public String getTraceInfo2() {
        return traceInfo2;
    }

    public void setTraceInfo2(String traceInfo2) {
        this.traceInfo2 = traceInfo2;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
