package pps.core.common.mq;

import xstartup.base.mq.XMqMessage;

import java.util.UUID;

public class CreatePDFValueMessage extends XMqMessage {

    public String formId;
    public Integer type;
    private String originalMessageId;

    public CreatePDFValueMessage() {
        setMessageTag(UUID.randomUUID().toString().replace("-", ""));
        setMessageId(UUID.randomUUID().toString().replace("-", ""));
        setMessageKey(UUID.randomUUID().toString().replace("-", ""));
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public Integer getType() {
        if (type == null)
            type = 1;
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
//
//    @Override
//    public String getMessageTag() {
//        return UUIDHelper.newUUID();
//    }
//
//    @Override
//    public String getMessageId() {
//        return UUIDHelper.newUUID();
//    }
//
//    @Override
//    public String getMessageKey() {
//        return UUIDHelper.newUUID();
//    }

    public String getOriginalMessageId() {
        return originalMessageId;
    }

    public void setOriginalMessageId(String originalMessageId) {
        this.originalMessageId = originalMessageId;
    }
}
