package pps.core.common.mq;

import xstartup.annotation.XText;
import xstartup.base.mq.XMqMessage;

import java.util.Date;
import java.util.UUID;

/**
 * @author lixueyan
 * @date 2022/8/3 0003 10:28
 */
public class TransferLogMqMessage extends XMqMessage {
    @XText("topic名称")
    private String topicName;

    @XText("mq-message")
    private String mqMessage;

    @XText("创建时间")
    private Date createTime;

    @XText("异常信息")
    private String exceptionInfo;

    public TransferLogMqMessage() {
        setMessageTag(UUID.randomUUID().toString().replace("-", ""));
        setMessageId(UUID.randomUUID().toString().replace("-", ""));
        setMessageKey(UUID.randomUUID().toString().replace("-", ""));
    }

    public String getTopicName() {
        return topicName;
    }

    public void setTopicName(String topicName) {
        this.topicName = topicName;
    }

    public String getMqMessage() {
        return mqMessage;
    }

    public void setMqMessage(String mqMessage) {
        this.mqMessage = mqMessage;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getExceptionInfo() {
        return exceptionInfo;
    }

    public void setExceptionInfo(String exceptionInfo) {
        this.exceptionInfo = exceptionInfo;
    }

//    @Override
//    public String getMessageTag() {
//        return UUIDHelper.newUUID();
//    }
//
//    @Override
//    public String getMessageId() {
//        return UUIDHelper.newUUID();
//    }
//
//    @Override
//    public String getMessageKey() {
//        return UUIDHelper.newUUID();
//    }
}
