package pps.core.common.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

public class DynamicPwd {
    public static String buildDynPwd() {
        String str = new SimpleDateFormat("dd:HH:mm").format(new Date());
        String[] items = str.split(":");
        String pwd = String.format("%02d%02d%02d", Integer.parseInt(items[2]), Integer.parseInt(items[1]) + 1, Integer.parseInt(items[0]));
        return pwd;
    }

    public static void main(String[] args) throws Exception {
        String pwd = buildDynPwd();
        System.out.println(pwd);
    }
}
