package pps.core.system.entity;

import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

public class SysSmsGroupView implements Serializable {
    @XText("短信组ID")
    private String smsGroupId;

    @XText("短信组名称")
    private String smsGroupName;

    @XText("排序")
    private Integer sort;

    @XText("是否共享给本级单位")
    private String isShar;

    @XText("是否删除")
    private String isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人姓名")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人姓名")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;


    @XText("用户列表")
    private String smsUsername;

    @XText("手机号列表")
    private String mobile;

    @XText("发送人所在组织机构")
    private String ouId;

    @XText("发送人所在组织机构名称")
    private String ouName;

    @XText("是否隐藏")
    private String isHide;

    public String getIsHide() {
        return isHide;
    }

    public void setIsHide(String isHide) {
        this.isHide = isHide;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }


    public String getSmsGroupId() {
        return this.smsGroupId;
    }

    public void setSmsGroupId(String value) {
        this.smsGroupId = value;
    }

    public String getSmsGroupName() {
        return this.smsGroupName;
    }

    public void setSmsGroupName(String value) {
        this.smsGroupName = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public String getIsShar() {
        return this.isShar;
    }

    public void setIsShar(String value) {
        this.isShar = value;
    }

    public String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(String value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getSmsUsername() {
        return smsUsername;
    }

    public void setSmsUsername(String smsUsername) {
        this.smsUsername = smsUsername;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
}
