package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * @Title： [标题] 定制短信
 * @Description: [功能描述] 定制短信
 * @author：lyy
 */
@TableName("base_sms_conf")
public class BaseSmsConfEnt implements Serializable {

    @XText("主键")
    @TableField("id")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("标题")
    @TableField("sms_title")
    private String smsTitle;

    @XText("发送时间")
    @TableField("send_time")
    private String sendTime;

    @XText("手机号码")
    @TableField("send_phone_codes")
    private String sendPhoneCodes;

    @XText("内容模版")
    @TableField("content_template")
    private String contentTemplate;

    @XText("创建人id")
    @TableField("create_by_id")
    private String createById;

    @XText("创建人")
    @TableField("create_by_name")
    private String createByName;

    @XText("创建时间")
    @TableField("create_time")
    private Date createTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSmsTitle() {
        return smsTitle;
    }

    public void setSmsTitle(String smsTitle) {
        this.smsTitle = smsTitle;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getSendPhoneCodes() {
        return sendPhoneCodes;
    }

    public void setSendPhoneCodes(String sendPhoneCodes) {
        this.sendPhoneCodes = sendPhoneCodes;
    }

    public String getContentTemplate() {
        return contentTemplate;
    }

    public void setContentTemplate(String contentTemplate) {
        this.contentTemplate = contentTemplate;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
