package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePipelineSegmentRelView;

import java.util.List;

@Repository(value = "pps.core.base.mapper.BasePipelineSegmentRelViewMapper")
public interface BasePipelineSegmentRelViewMapper {
    BasePipelineSegmentRelView selectOne(BasePipelineSegmentRelView record);

    List<BasePipelineSegmentRelView> selectList(BasePipelineSegmentRelView record);

    List<BasePipelineSegmentRelView> selectListPipelineSegmentRelBySegmentId(BasePipelineSegmentRelView basePipelineSegmentRelView);

    BasePipelineSegmentRelView selectMaxSortByPipelineId(BasePipelineSegmentRelView station);

    List<BasePipelineSegmentRelView> selectSegmentList(BasePipelineSegmentRelView record);

    int updateSortByPipelineIdAndSort(BasePipelineSegmentRelView record);

    BasePipelineSegmentRelView selectMaxSort(BasePipelineSegmentRelView record);
}
