package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.ScadaGatherBoxView;
import pps.core.common.utils.SmartRecord;

import java.util.List;

@Repository(value = "pps.core.base.mapper.ScadaGatherBoxViewMapper")
public interface ScadaGatherBoxViewMapper {
    ScadaGatherBoxView selectOne(ScadaGatherBoxView record);

    List<ScadaGatherBoxView> selectList(ScadaGatherBoxView record);

    List<ScadaGatherBoxView> selectScadaGatherBaseConf(ScadaGatherBoxView record);

    List<SmartRecord> selectBySql(String _parameter);

    List<ScadaGatherBoxView> selectBoxInfo(ScadaGatherBoxView boxView);

    List<ScadaGatherBoxView> selectBoxInfoByIdsOrStationId(ScadaGatherBoxView boxView);
}

