package pps.core.base.service.data.scada_gather_conf;

import xstartup.annotation.XText;

import java.util.Date;

public class GetScadaParamInput {
    @XText("scada点号 ")
    private String scadaTag;
    @XText("scada描述 ")
    private String scadaDesc;
    @XText("需要查询的scada条数 默认五十条 最大100条")
    private Integer count;

    @XText("scada环境标识 ")
    private String scadaEnvironmentInfoId;

    @XText("开始时间, 不能为空")
    private String startDate;

    @XText("结束时间, 不能为空")
    private String endDate;

    @XText("true: 按时间正序   false: 按时间倒叙 默认是flase")
    private Boolean timeSort;

    @XText("补采时间")
    private Date remedyDate;


    //------- 补采需要传入的参数
    @XText("向前向后（1-向前；2-向后）")
    private String moveTowards;
    @XText("偏移量【分钟级别 绝对值小于30】")
    private String gatherOffset;
    @XText("为当前时间 例如：【07:49;07:55;07:57;08:00,08:01;08:03;08:05;08:10】")
    private Date currentTime;
    @XText("采集类型（1-常规；2-自定义 ,2：为交接量） //交接量的类型为 2")
    private String gatherType;
    @XText("采集频率  交接量都是 24")
    private int collectInterval;

    public String getMoveTowards() {
        return moveTowards;
    }

    public void setMoveTowards(String moveTowards) {
        this.moveTowards = moveTowards;
    }

    public String getGatherOffset() {
        return gatherOffset;
    }

    public void setGatherOffset(String gatherOffset) {
        this.gatherOffset = gatherOffset;
    }

    public Date getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(Date currentTime) {
        this.currentTime = currentTime;
    }

    public String getGatherType() {
        return gatherType;
    }

    public void setGatherType(String gatherType) {
        this.gatherType = gatherType;
    }

    public int getCollectInterval() {
        return collectInterval;
    }

    public void setCollectInterval(int collectInterval) {
        this.collectInterval = collectInterval;
    }

    public Date getRemedyDate() {
        return remedyDate;
    }

    public void setRemedyDate(Date remedyDate) {
        this.remedyDate = remedyDate;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Boolean getTimeSort() {
        return timeSort;
    }

    public void setTimeSort(Boolean timeSort) {
        this.timeSort = timeSort;
    }

    public String getScadaTag() {
        return scadaTag;
    }

    public void setScadaTag(String scadaTag) {
        this.scadaTag = scadaTag;
    }

    public String getScadaDesc() {
        return scadaDesc;
    }

    public void setScadaDesc(String scadaDesc) {
        this.scadaDesc = scadaDesc;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getScadaEnvironmentInfoId() {
        return scadaEnvironmentInfoId;
    }

    public void setScadaEnvironmentInfoId(String scadaEnvironmentInfoId) {
        this.scadaEnvironmentInfoId = scadaEnvironmentInfoId;
    }
}
