package pps.core.task.config;

import xstartup.annotation.XConfig;
import xstartup.config.XConfigMetadata;
import xstartup.config.XStringConfigItem;

/**
 * @author lixueyan
 * @date 2023/3/16 0007 12:44
 */

/**
 * task 配置类
 */
@XConfig
public class TaskConfig {
    //作业计划 ack Ims 地址
    public static final XStringConfigItem ackImsUrl = XConfigMetadata.register(TaskConfig.class, "ackImsUrl", XStringConfigItem.class);
    //作业计划最后一次获取IMS时间
    public XStringConfigItem taskPlanImsDate = XConfigMetadata.register(TaskConfig.class, "taskPlanImsDate", XStringConfigItem.class);

}
