package pps.core.task.model;

import lombok.Data;
import xstartup.annotation.XText;

@Data
public class TaskSyncScadaDataParamsInput {

    @XText("向前向后（1-向前；2-向后）")
    private String moveTowards;
    @XText("采集类型（1-常规；2-自定义 ,2：为交接量） //交接量的类型为 2")
    private String gatherType;
    @XText("采集频率  交接量都是 24")
    private int collectInterval;
    @XText("环境ID 现逻辑的补数据的时候用")
    private int scadaEnvironmentInfoId;

    @XText("正常取数据 or 补采集数据 0：正常取数据 1：补采数据")
    private int syncType;

    @XText("服务名称")
    private String taskName;
}
