package pps.core.space.service;

import pps.cloud.space.service.ISpaceOptimizeShortCloudService;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 极短期间开优化Cloud模块
 *
 * @author ZWT
 * @date 2023/09/20 11:44
 */
@XService
public class SpaceOptimizeShortCloudServiceImpl extends SpaceOptimizeBaseService implements ISpaceOptimizeShortCloudService {

    /**
     * 极短期间开优化Cloud模块--定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @Override
    public XServiceResult optimizeShortJob(XContext context) {
        SpaceOptimizeShortPeriodService bean = context.getBean(SpaceOptimizeShortPeriodService.class);
        bean.dynamicOptimize(context);
//        List<SpaceOptimizePeriodDTO> periodDTOList = new ArrayList<>(32);
//        List<SpaceOptimizeWellheadDTO> wellheadDTOList = new ArrayList<>(64);
//        List<SpaceOptimizeDurationDTO> durationDTOList = new ArrayList<>(128);
//        List<SpaceOptimizeDurationDTO> unOptimizeDurationList = new ArrayList<>(128);
//        super.doOptimize(context, periodDTOList, wellheadDTOList, durationDTOList, unOptimizeDurationList, BusinessConstant.ONE, BusinessConstant.THREE, 1);
//        //开启事务
//        return XTransactionHelper.begin(context, () -> {
//            int size;
//            SpaceOptimizeViewMapper optimizeViewMapper = context.getBean(SpaceOptimizeViewMapper.class);
//            if (CollUtil.isNotEmpty(periodDTOList)) {
//                size = periodDTOList.size();
//                if (size > BaseUtils.BATCH_SIZE) {
//                    List<List<SpaceOptimizePeriodDTO>> subList = BaseUtils.getSubList(periodDTOList);
//                    subList.forEach(optimizeViewMapper::shortPeriodBatchInsertList);
//                } else {
//                    optimizeViewMapper.shortPeriodBatchInsertList(periodDTOList);
//                }
//            }
//            if (CollUtil.isNotEmpty(wellheadDTOList)) {
//                size = wellheadDTOList.size();
//                if (size > BaseUtils.BATCH_SIZE) {
//                    List<List<SpaceOptimizeWellheadDTO>> subList = BaseUtils.getSubList(wellheadDTOList);
//                    subList.forEach(optimizeViewMapper::shortWellheadBatchInsertList);
//                } else {
//                    optimizeViewMapper.shortWellheadBatchInsertList(wellheadDTOList);
//                }
//            }
//            if (CollUtil.isNotEmpty(unOptimizeDurationList)) {
//                size = unOptimizeDurationList.size();
//                if (size > BaseUtils.BATCH_SIZE) {
//                    List<List<SpaceOptimizeDurationDTO>> subList = BaseUtils.getSubList(unOptimizeDurationList);
//                    subList.forEach(optimizeViewMapper::shortDurationBatchInsertList);
//                } else {
//                    optimizeViewMapper.shortDurationBatchInsertList(unOptimizeDurationList);
//                }
//            }
//            if (CollUtil.isNotEmpty(durationDTOList)) {
//                size = durationDTOList.size();
//                if (size > BaseUtils.BATCH_SIZE) {
//                    List<List<SpaceOptimizeDurationDTO>> subList = BaseUtils.getSubList(durationDTOList);
//                    subList.forEach(optimizeViewMapper::shortDurationBatchInsertList);
//                } else {
//                    optimizeViewMapper.shortDurationBatchInsertList(durationDTOList);
//                }
//            }
//            return XServiceResult.OK;
//        });
        return XServiceResult.OK;
    }
}